﻿<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <LangVersion>12</LangVersion>
    </PropertyGroup>
    <PropertyGroup>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="Google.Protobuf" Version="3.27.2"/>
        <PackageReference Include="Grpc.AspNetCore" Version="2.63.0"/>
        <PackageReference Include="Grpc.Net.Client" Version="2.63.0"/>
        <PackageReference Include="MediatR" Version="12.3.0"/>
        <PackageReference Include="MediatR.Contracts" Version="2.0.1"/>
        <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="11.1.0"/>
        <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="8.0.2"/>
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.0" />
    </ItemGroup>
    <ItemGroup>
        <Folder Include="Adapters\"/>
    </ItemGroup>
    <ItemGroup>
        <Protobuf Include="Adapters\Grpc\Contract.proto">
            <Generator>MSBuild:Compile</Generator>
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Protobuf>
    </ItemGroup>
    <ItemGroup>
        <ProjectReference Include="..\GeoApp.Core\GeoApp.Core.csproj"/>
    </ItemGroup>
</Project>
